import { HttpResponse } from '../@types'
import request from './request'

class travelService {
  static async getTravelList(params:any):Promise<HttpResponse>{
    return request('travelteam_GetTravelTeamPartnerPage',params)
  }
  static async addOrder(params:any):Promise<HttpResponse>{
    return request('travelteam_GetTravelTeamPartnerPage',params)
  }
  static async newOrder(params:any):Promise<HttpResponse>{
    return request('sellorder_post_SetTravelTeamOrderForB2B',params)
  }
  // 获取包机结算列表
  static async payList(params:any):Promise<HttpResponse>{
    return request('sellorder_post_GetTravelTeamSettlePicList',params)
  }
  // 获取包机订单分页列表
  static async getOrderList(params:any):Promise<HttpResponse>{
    return request('sellorder_post_GetTravelTeamOrderPicList',params)
  }
  // 获取订单状态列表
  static async getOrderStateList(params:any):Promise<HttpResponse>{
    return request('sellorder_post_GetSellOrderStatusEnumList',params)
  }
}

export default travelService
